#include "common.h"

#ifdef DEBUG

void printWithPadding(String str, int totalLength) {
  int paddingLength = totalLength - str.length();
  Serial.print(str);
  for (int i = 0; i < paddingLength; i++) {
    Serial.print(" ");
  }
}

#endif

bool startsWith(const char* source, const char* prefix) {
  while (*prefix) {
    if (*source != *prefix) return false;
    source++;
    prefix++;
  }
  return true;
}
